<div class="mid-body">
  <div class="container">
    <h1>Fan Result</h1>
    <div class="operating-table fan-result-table">
      <table class="table table-responsive">
        <thead>
          <tr class="fan-tab-head">
            <th>&nbsp;</th>
            <th>Nomenclature
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>NominalSize
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>OperatingPoint
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>Efficiency
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>Outer Diameter
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>FanSpeed
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>FanShaftPower
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
            <th>IVC
              <img src="assets/images/sort-icon.png" alt="" />
            </th>
          </tr>
          <tr class="fan-tab-head-2">
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
            <th>&nbsp;</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let f of displayFanResult ; let i = index; ">
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" data-toggle="modal" (click)="fanSettings(f)" data-target="#pressure"
              />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>{{f.Nomenclature}}</td>
            <td>{{f.NominalSize}}</td>
            <td>{{f.OperatingPoint}}</td>
            <td>{{f.Efficiency}}</td>
            <td>{{f.OuterBladeDiameter}}</td>
            <td>{{f.FanSpeed}}</td>
            <td>{{f.FanShaftPower}}</td>
            <td>{{f.IVCPosition}}</td>
          </tr>
          <!-- <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" data-toggle="modal" data-target="#speed" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" data-toggle="modal" data-target="#power" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr>
          <tr>
            <td>
              <img src="assets/images/fan-settings-icon.png" alt="" />
              <img src="assets/images/fan-assemble-icon.png" alt="" />
            </td>
            <td>18</td>
            <td>1000</td>
            <td>1</td>
            <td>88.1</td>
            <td>1413</td>
            <td>2019.5</td>
            <td>883.6</td>
            <td>90</td>
          </tr> -->
        </tbody>
      </table>
    </div>
    <app-pagination *ngIf="fanResult" [count]="fanresultCount" (goPage)="goPage($event)" (goNext)="goNext($event)" [page]="curPage"
      [perPage]="pageSize" (goPrev)="goPrev($event)" [pagesToShow]="pagesToShow(fanresultCount)" [loading]="false "></app-pagination>
    <!-- <div class="pagination">
      <a href="#">
        <i class="fa fa-angle-left" aria-hidden="true"></i>
      </a>
      <span class="active">1</span>
      <span>2</span>
      <span>3</span>
      <span>4</span>
      <span>5</span>
      <span>6</span>
      <span>7</span>
      <span>8</span>
      <a href="#">
        <i class="fa fa-angle-right" aria-hidden="true"></i>
      </a>
    </div> -->
  </div>
</div>

<!-- Modal Popup 1 -->
<div *ngIf="selectedResult" class="modal fade fan-modal" id="pressure" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

        <div>

          <!-- Nav tabs -->
          <ul class="nav nav-tabs modal-tabs-nav" role="tablist">
            <li role="presentation" class="active">
              <a href="#pressureTab" aria-controls="pressureTab" role="tab" data-toggle="tab">Pressure</a>
            </li>
            <li role="presentation">
              <a href="#speedTab" aria-controls="speedTab" role="tab" data-toggle="tab">Speed</a>
            </li>
            <li role="presentation">
              <a href="#powerTab" aria-controls="powerTab" role="tab" data-toggle="tab">Power</a>
            </li>
            <li role="presentation">
              <a href="#bladeTab" aria-controls="bladeTab" role="tab" data-toggle="tab">Blade</a>
            </li>
            <li role="presentation">
              <a href="#casingTab" aria-controls="casingTab" role="tab" data-toggle="tab">Casing/Inlet Box</a>
            </li>
            <li role="presentation">
              <a href="#impellerTab" aria-controls="impellerTab" role="tab" data-toggle="tab">Impeller Scantllings</a>
            </li>
          </ul>

          <!-- Tab panes -->
          <div class="tab-content modal-tabs">
            <div role="tabpanel" class="tab-pane active" id="pressureTab">
              <div class="modal-cont">
                <p>
                  <strong>Total Pressure Difference(Pa)</strong>{{selectedResult.TotalPressureDifference}}</p>
                <p>
                  <strong>Dynamic Pressure at Inlet(Pa)</strong>{{selectedResult.DynamicPressureAtInlet}}</p>
                <p>
                  <strong>Dynamic Pressure at Outlet(Pa)</strong>{{selectedResult.DynamicPressureAtOutlet}}</p>
                <p>
                  <strong>Dynamic Pressure Evase Outlet(Pa)</strong>{{selectedResult.DynamicPressureEvaseOutlet}}</p>
                <p>
                  <strong>KinematicViscocity(m^2/s)</strong>{{selectedResult.KinematicViscocity}}</p>
              </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="speedTab">
              <div class="modal-cont">
                <p>
                  <strong>Tip Speed(m/s)</strong>{{selectedResult.TipSpeed}}</p>
                <p>
                  <strong>Motor Speed(rpm)</strong>{{selectedResult.MotorSpeed}}</p>
                <p>
                  <strong>Speed at Lowest Garantee Point</strong>{{selectedResult.SpeedAtLowestGuaranteePoint}}</p>
                <p>
                  <strong>Speed at Highest Guarantee Point</strong>{{selectedResult.SpeedAtHighestGuaranteePoint}}</p>
                <p>
                  <strong>Fan Speed</strong>{{selectedResult.FanSpeed}}</p>
                <p>
                  <strong>Fan Shaft Power</strong>{{selectedResult.FanShaftPower}}</p>
                <p>
                  <strong>Curve Fan Speed:</strong>
                  <input type="text" name="" value="" />
                </p>
              </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="powerTab">
              <div class="modal-cont">
                <p>
                  <strong>Motor Power(kW):</strong>{{selectedResult.MotorPower}}</p>
                <p>
                  <strong>Recommended Motor Power(kW):</strong>{{selectedResult.RecommendedMotorPower}}</p>
                <p>
                  <strong>Dampening Value:</strong>{{selectedResult.DampeningValue}}</p>
              </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="bladeTab">
              <div class="modal-cont">
                <p>
                  <strong>Number Of Blade Cuts:</strong>{{selectedResult.NumberOfBladeCuts}}</p>
                <p>
                  <strong>Number Of Blade Extensions:</strong>{{selectedResult.NumberOfBladeExtensions}}</p>
                <p>
                  <strong>NominalOuter Blade Diameter(mm):</strong>{{selectedResult.NominalOuterBladeDiameter}}</p>
              </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="casingTab">
              <div class="modal-cont row">
                <div class="col-sm-7">
                  <p>
                    <strong>Casing thinkness</strong>
                    <input type="text" name="" value="" placeholder="0" />
                  </p>
                  <p>
                    <strong>Inlet box thinkness</strong>
                    <input type="text" name="" value="" placeholder="0" />
                  </p>
                  <p>
                    <strong>Inlet box size</strong>
                    <input type="text" name="" value="" placeholder="0" />
                  </p>
                  <p>
                    <strong>Casing size</strong>
                    <input type="text" name="" value="" placeholder="0" />
                  </p>
                  <p>
                    <strong>Scroll Liner</strong>
                    <select placeholder="Material" class="select-with-icon">
                      <option>Material</option>
                      <option>1.20</option>
                      <option>2.25</option>
                      <option>3.4</option>
                    </select>
                    <select placeholder="thickness" class="select-with-icon">
                      <option>thickness</option>
                      <option>1.20</option>
                      <option>2.25</option>
                      <option>3.4</option>
                    </select>
                  </p>
                </div>
                <div class="col-sm-5">
                  <img src="assets/images/plannig-img.png" alt="" />
                </div>
              </div>
            </div>
            <div role="tabpanel" class="tab-pane" id="impellerTab">
              <div class="modal-cont">
                <h3>Actuals</h3>
                <div class="table-scroll">
                  <table class="table table-responsive impeller-table">
                    <thead>
                      <tr>
                        <th>&nbsp;</th>
                        <th>Thickness
                          <span class="break">(mm)</span>
                        </th>
                        <th>Weights
                          <span class="break">(kgs)</span>
                        </th>
                        <th>Material of Control</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td>
                          <span>Diameter</span>
                        </td>
                        <td>1259</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>BlackPlate / Centre Plate</span>
                        </td>
                        <td>57</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Shroud Plate</span>
                        </td>
                        <td>41</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Blades</span>
                        </td>
                        <td>41</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Shroud Blades</span>
                        </td>
                        <td>24</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Nose Piece</span>
                        </td>
                        <td>163</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Hard Facing Blade</span>
                        </td>
                        <td>133</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Blade Liner</span>
                        </td>
                        <td>485 x 1455</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Shroud Blade Liner</span>
                        </td>
                        <td>1624</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Support Blade for blade</span>
                        </td>
                        <td>90</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                      <tr>
                        <td>
                          <span>Stiffner on Blade</span>
                        </td>
                        <td>60</td>
                        <td>0</td>
                        <td>Weldox</td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>
  </div>
</div>

<!-- Modal Popup 2 -->
<div class="modal fade fan-modal" id="speed" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        test1
      </div>

    </div>
  </div>
</div>

<!-- Modal Popup 3 -->
<div class="modal fade fan-modal" id="power" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        test2
      </div>

    </div>
  </div>
</div>
